EDGE/GPRS in Linux

Today me (salahuddin66) and Lavluda successfully configured GPRS/EDGE in Linux.

Using wvdial

to check your mobile/modem as a modem
——————————-
#wvdialconf

it will generate /etc/wvdial.conf file for you.

Grameen Phone
For Grameen Phone your need to add

Init3 = AT+CGDCONT=1,”IP”,”gpinternet”

here is a sample of my /etc/wvdial.conf (Grameen Phone EDGE/GPRS)
————————————————————
[Dialer Defaults]
Init1 = ATZ
Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
Init3 = AT+CGDCONT=1,”IP”,”gpinternet”
Modem Type = Analog Modem
ISDN = 0
Phone = *99***1#
Modem = /dev/ttyUSB0
Username = xyz
Password = xyz
Baud = 115200
———————————————————–
wvdialconf will generate the modem speed/Baud and /dev/xyz path according to your mobile phone

Aktel, Teletalk
here is a sample of my /etc/wvdial.conf
————————————————————
[Dialer Defaults]
Init1 = ATZ
Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
Modem Type = Analog Modem
ISDN = 0
Phone = *99***1#
Modem = /dev/ttyUSB0
Username = xyz
Password = xyz
Baud = 115200
———————————————————–
wvdialconf will generate the modem speed/Baud and /dev/xyz path according to your mobile phone

Start
To start type wvdial in shell

Note:
If you have problem while generating wvdial.conf file in /etc/wvdial.conf then delete the old config file /etc/wvdial.conf and give wvdialconf to create a new configuraton file.

if you have any problem to find the /dev path for your mobile/modem, give

# tail -f /var/log/syslog

Then connect the phone/modem.
You can also use gnome-ppp or other ppp tools to connect.

Using gnome-ppp

Give phone number *99***1#

click on the detect. it will try to detect your phone/modem.
note: If it fails then give your /dev path manually. Search for you modem using #tail -f /var/log/syslog then connect the phone/modem.

it found my phone/modem in /dev/ttyUSB0

click Init Strings.
for Aktel, Teletalk and others (you do not need to change anything)

click Init Strings.
add Init3 only if you are using Grameen Phone EDGE/GPRS (only for GP)

after click connect

connected

details view

Note: If you face any problem using this as user. Run gnome-ppp as root
or check you are a member of dip group.

In Debian or Ubuntu based distro give #adduser your_user_name dip if your are not a member.

Comments

  1. i use Anik’s EDGE Data Card 230kbps connection speed. How can I configure it in Ubuntu?
    and where to save the file that u described.

  2. Hello,
    thanks for this helpful post.
    But i am having some problem connecting..I am using debian etch,Anik edge modem and using gp.
    Though i have successfully created and configured wvdial.conf, when i write the command wvdial to start it shows me the following error messeges:

    –> WvDial: Internet dialer version 1.56
    –> Warning: section [Dialer create] does not exist in wvdial.conf.
    –> Cannot get information for serial port.
    –> Initializing modem.
    –> Sending: ATZ
    –> Sending: ATQ0
    –> Re-Sending: ATZ
    –> Modem not responding.

    So, can u help me?

  3. try to solve

    -> Warning: section [Dialer create] does not exist in wvdial.conf.

    delete your old config file in /etc/wvdial.conf and send me your new wvdial config that generated by “wvdialconf” command

  4. Hello,

    Is there is any Nokia PC suite for linux?
    i mean if we want to connect our mobile phone with linux how will we
    do it?
    I hv nokia 6070
    can i connect it to gprs via IRDA device
    i m using fedora core 6

    thks

    KK

  5. I use gnome-ppp as root and also check it as user of dip group but this command does not work in FEDORA 9 . Can u plz help me on this topics , because i am trying to bluetooth connection with FEDORA 8 AND FEDORA 9 .
    Ruzdi

  6. I,m using linux red hat 4.0 and i want to use edge modem/gp. But when i tried with your wvdial then the following error msg prompted.
    WvDial: Internet dialer version 1.54.0
    –> Cannot open /dev/ttyUSB0: No such file or directory
    –> Cannot open /dev/ttyUSB0: No such file or directory
    –> Cannot open /dev/ttyUSB0: No such file or directory

    I also tried with gnome-ppp but initially i found no gnome -ppp in my linux and i download it. Then i tried to install but there was cosecutive rpm file missing and continue to download one after another as per req. At last it show rpmlib not present.
    so can u solve this problem for me.

    Regards

    Touhid

  7. This should work…

    1. Run “wvdialconf” then edit the config later “wvdial” both as root.

    2. Check if Redhat 4.0 has the driver of the cable you are using. Try with a newer version of redhat.

    3. Try by restarting the phone.

    In Debian/Ubuntu we use “tail -f /var/log/syslog” for redhat this command may be little different.
    (to view the /dev/*)

  8. Thanks for your prompt reply. I tried your way out but i think still there is some prob. As i,m not using a phone, instead i,m using a edge modem and it has auto instaler in it which doesn,t support linux, will it work too?
    another problem i,m facing is when i prompt /etc/wvdial.conf after typing configuration in editor…permission denied msg showed. And it happened with all installation of rpm file as well. I think you have the solution.
    Please help me.

    Regards

    Touhid

  9. Dear Bro,
    I have configure as per your advice but when i come out from the editor and put wvdial at prompt the following msg showd:

    sorry no modem was detected. Is it in use by another program?
    Did you configure it properly with setserial?
    …..

    Please help me!

    Regards
    Touhid

  10. Dear Bro,

    Last night i got the success to configure wvdialconf and it worked twice means i connect twice and it was okay. I didn,t browse as for not knowing how to on txt mode.but as i come to know and try to connect, unable to because same msg showing as my first comment to you…
    still unable….also i would like to know as i,m configuring it on txt mode and if i switch to visual mode will it work?

    Regards

    Touhid

  11. Dear Bro,

    Thanks For your guiding. Now i,m working smoothly with EDGE/ubuntu. Still there is some prob with REdHat and i,m trying to solve it out.
    Do you have the ubuntu 8.10 version to you?

    Regards

    Touhid

Leave a Reply

Your email address will not be published. Required fields are marked *